aboutsummaryrefslogtreecommitdiffhomepage
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 519bb8f3..04d65b16 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -4,6 +4,8 @@
# be included in the distribution. These files are not checked in because they
# are automatically generated.
+set -e
+
# Check that we're being run from the right directory.
if test ! -f src/google/protobuf/stubs/common.h; then
cat >&2 << __EOF__
@@ -13,6 +15,14 @@ __EOF__
exit 1
fi
+# Check that gtest is present. Usually it is already there since the
+# directory is set up as an SVN external.
+if test ! -e gtest; then
+ echo "Google Test not present. Fetching gtest-1.3.0 from the web..."
+ curl http://googletest.googlecode.com/files/gtest-1.3.0.tar.bz2 | tar jx
+ mv gtest-1.3.0 gtest
+fi
+
set -ex
# Temporary hack: Must change C runtime library to "multi-threaded DLL",